module BoundedInt exposing (..)

type alias BoundedInt =
    { value : Int
    , min : Int
    , max : Int
    }

change : BoundedInt -> Int -> BoundedInt
change boundedInt value =
    if value < boundedInt.min
    || value > boundedInt.max
    then
        boundedInt
    else
        { boundedInt | value = value }